import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'v-env-waterchannel',
  templateUrl: './env-waterchannel.page.html',
  styleUrls: ['./env-waterchannel.page.scss'],
})
export class EnvWaterchannelPage implements OnInit {

    workModeSetting = {  'workMode' : '1',
        'DeviceNo' : '',
        'workModeOld' : '1'};

    // 发送指令延时判断
    comm = {
        remain : 20,
        isLoading : true
    };

    workarea = {
        param: [
            {
                name: '1号组',
                kw:0.3,   //当前功率
                deviceOnLineNum:3,   //估计加热设备台数
                online:true,
            },
            {
                name: '2号组',
                kw:3,   //当前功率
                deviceOnLineNum:2,   //估计加热设备台数
                online:true,
            },
            {
                name: '3号组',
                kw:15,   //当前功率
                deviceOnLineNum:10,   //估计加热设备台数
                online:true,
            },
        ]
    };

  constructor() { }

  ngOnInit() {
  }

}
