import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { Routes, RouterModule } from '@angular/router';

import { IonicModule } from '@ionic/angular';

import { EnvHomePage } from './env-home.page';
import {KanbanComponent} from '../../components/kanban/kanban.component';
import {WtModule} from '../../components/wt/wt.module';

const routes: Routes = [
  {
    path: '',
    component: EnvHomePage
  }
];

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    IonicModule,
      WtModule, // for test
    RouterModule.forChild(routes)
  ],
  declarations: [EnvHomePage,
  ]
})
export class EnvHomePageModule {}
